﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Model.AirportApiEntity
{
    public class AGVStateRequestEntity
    {
        /// <summary>
        /// AGV编号
        /// </summary>
        public string AGVNo { get; set; }

        /// <summary>
        /// 信号发送时间
        /// </summary>
        public string SignalSendTime { get; set; }
    }

    public class AGVStateResponseEntity
    {
        /// <summary>
        /// AGV编号
        /// </summary>
        public string AGVNo { get; set; }

        /// <summary>
        /// AGV类型（1：机械臂小车，2：运载小车）
        /// </summary>
        public string AGVType { get; set; }

        /// <summary>
        /// AGV报警状态（1：正常，2：故障）
        /// </summary>
        public string AGVAlarmState { get; set; }

        /// <summary>
        /// AGV工作状态（1：空闲，2：忙碌）
        /// </summary>
        public string AGVWorkState { get; set; }

        /// <summary>
        /// 报警信息
        /// </summary>
        public string AlarmText { get; set; }

        /// <summary>
        /// 任务编号
        /// </summary>
        public string TaskNo { get; set; }

        /// <summary>
        /// 信号发送时间
        /// </summary>
        public string SignalSendTime { get; set; }
    }
}
