﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Model.AirportApiEntity
{
    public class ManipulatorStateRequestEntity
    {
        /// <summary>
        /// 机械臂编号
        /// </summary>
        public string ManipulatorNo { get; set; }

        /// <summary>
        /// 信号发送时间
        /// </summary>
        public string SignalSendTime { get; set; }
    }


    public class ManipulatorStateResponseEntity
    {
        /// <summary>
        /// 机械臂编号
        /// </summary>
        public string ManipulatorNo { get; set; }

        /// <summary>
        /// 机械臂报警状态（1：正常，2：故障）
        /// </summary>
        public string ManipulatorAlarmState { get; set; }

        /// <summary>
        /// 机械臂工作状态（1：空闲，2：工作）
        /// </summary>
        public string ManipulatorWorkState { get; set; }

        /// <summary>
        /// 报警信息
        /// </summary>
        public string AlarmText { get; set; }

        /// <summary>
        /// 任务编号
        /// </summary>
        public string TaskNo { get; set; }

        /// <summary>
        /// 信号发送时间
        /// </summary>
        public string SignalSendTime { get; set; }
    }

}