﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Model.AirportApiEntity
{
    public class ManipulatorWorkDoneEntity
    {

        /// <summary>
        /// 机械臂编号
        /// </summary>
        public string ManipulatorNo { get; set; }

        /// <summary>
        /// 运载小车编号
        /// </summary>
        public string CarryAGVNo { get; set; }

        /// <summary>
        /// 传送带编号
        /// </summary>
        public string ConveyorNo { get; set; }

        /// <summary>
        /// 此次抓取数量
        /// </summary>
        public int NowCarryNumber { get; set; }

        /// <summary>
        /// 小车装载数量
        /// </summary>
        public int CarrierLoadNumber { get; set; }

        /// <summary>
        /// 此次工作总抓取数量
        /// </summary>
        public int AllCarryNumber { get; set; }

        /// <summary>
        /// 装载方向（1：机械臂小车，2：装载小车）
        /// </summary>
        public string LoadLocation { get; set; }

        /// <summary>
        /// 工作是否结束（0：未结束，1：结束）
        /// </summary>
        public string WorkIsDone { get; set; }

        /// <summary>
        /// 任务编号
        /// </summary>
        public string TaskNo { get; set; }

        /// <summary>
        /// 信号发送时间
        /// </summary>
        public string SignalSendTime { get; set; }

    }
}
